TCPCONNECT(1)

NAME
tcpconnect - general TCP/IP client

SYNOPSIS
tcpconnect [-irv] [-l localaddr] host port

DESCRIPTION
tcpconnect creates a TCP/IP connection to a server running on the machine host, listening to port port. It then reads standard input and sends to the remote server, and data received from the server is printed to standard output. When end-of-file is reached on both standard input and the TCP/IP connection, tcpconnect terminates.

OPTIONS

-i  Terminate at end-of-file on standard input; don't wait for the server to close the connection.

-r  Terminate when the remote server closes the connection; don't wait for end-of-file on standard input.

-v  Verbose mode. Prints a message to standard error when the connection has been established.

-l addr:port
    Bind the local end-point of the connection to IP address addr, TCP port port. Either the IP address or the port, but not both, may be left out, meaning that the operating system gets to choose that part by itself.

SEE ALSO
tcplisten(1), telnet(1), tcpbug(1).

BUGS
The names of the options are not yet finalized, and may change at a future release.